## org.apache.lucene.analysis.de
Class GermanStemFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.de.GermanStemFilter

All Implemented Interfaces:
  Closeable

    public final class GermanStemFilter

extends TokenFilter

A `TokenFilter` that stems German words.

It supports a table of words that should not be stemmed at all. The stemmer used can be changed at runtime after the filter object is created (as long as it is a `GermanStemmer`).

To prevent terms from being stemmed use an instance of `SetKeywordMarkerFilter` or a custom `TokenFilter` that sets the `KeywordAttribute` before this `TokenStream`.

See Also:
  `SetKeywordMarkerFilter`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`GermanStemFilter(TokenStream in)` Creates a `GermanStemFilter` instance

Method Summary
`boolean` `incrementToken()`
`void` `setStemmer(GermanStemmer stemmer)` Set a alternative/custom `GermanStemmer` for this filter.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GermanStemFilter

    public GermanStemFilter(TokenStream in)

  Creates a `GermanStemFilter` instance

  Parameters:
    `in` - the source `TokenStream`

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Specified by:
    `incrementToken` in class `TokenStream`
  Returns:
    Returns true for next token in the stream, or false at EOS
  Throws:
    `IOException`

### setStemmer

    public void setStemmer(GermanStemmer stemmer)

  Set a alternative/custom `GermanStemmer` for this filter.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.